--
-- CobreSujidadeRodaFrenteEsquerda
--
-- @Hugo94Fr
-- @23/09/2015

CobreSujidadeRodaFrenteEsquerda = {};

CobreSujidadeRodaFrenteEsquerda.modDir = g_currentModDirectory;

function CobreSujidadeRodaFrenteEsquerda.prerequisitesPresent(specializations)
    return true; 
end;

function CobreSujidadeRodaFrenteEsquerda:load(xmlFile)

	self.AnimacaoSujidadeEsquerda = SpecializationUtil.callSpecializationsFunction("AnimacaoSujidadeEsquerda"); 
	
	self.SujidadeEsquerda = {};
	
	local trigger = Utils.indexToObject( self.components, getXMLString(xmlFile, string.format("vehicle.CobreSujidadeRodaFrenteEsquerda#trigger")) );
	if trigger == nil then
		print("[Error::CobreSujidadeRodaFrenteEsquerda] Falta dizer onde se encontra o Trigger no XML."..tostring(i+1).." no seu vehicle.xml");
	end;
	
	local SujidadeES = getXMLInt(xmlFile, string.format("vehicle.CobreSujidadeRodaFrenteEsquerda#SujidadeES", i));
	
	self.SujidadeEsquerda.SujidadeES = SujidadeES;
	self.SujidadeEsquerda.trigger = trigger;
	self.SujidadeEsquerda.TMP = false;
		
	addTrigger( trigger, "AnimacaoSujidadeEsquerda", self );				
	
end;

function CobreSujidadeRodaFrenteEsquerda:delete()
	if self.SujidadeEsquerda.trigger ~= nil then
		removeTrigger(self.SujidadeEsquerda.trigger);
	end;
end;

function CobreSujidadeRodaFrenteEsquerda:readStream(streamId, connection)
end;

function CobreSujidadeRodaFrenteEsquerda:writeStream(streamId, connection)
end;

function CobreSujidadeRodaFrenteEsquerda:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CobreSujidadeRodaFrenteEsquerda:keyEvent(unicode, sym, modifier, isDown)
end;

function CobreSujidadeRodaFrenteEsquerda:update(dt)
	
	if self.SujidadeEsquerda.TMP then
		g_currentMission:addHelpButtonText( g_i18n:getText("CobreSujidadeRodaFrenteEsquerda"), InputBinding.CobreSujidadeRodaFrenteEsquerda );	
		setTextColor(1.0, 1.0, 1.0, 1.0);
		setTextAlignment(RenderText.ALIGN_RIGHT); 				
		renderText( 1.0, 0.7, 0.035, g_i18n:getText("CobreSujidadeRodaFrenteEsquerda") );
		if InputBinding.hasEvent(InputBinding.CobreSujidadeRodaFrenteEsquerda)then
			local obj = self.interactiveObjects[self.SujidadeEsquerda.SujidadeES];
			if obj ~= nil then
				self:doActionOnObject(self.SujidadeEsquerda.SujidadeES);
			end;
		end
	end;
end;

function CobreSujidadeRodaFrenteEsquerda:onLeave()
end;

function CobreSujidadeRodaFrenteEsquerda:draw()
end;

function CobreSujidadeRodaFrenteEsquerda:AnimacaoSujidadeEsquerda(triggerId, otherId, onEnter, onLeave, onStay)
	
	if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.SujidadeEsquerda.TMP = true;
	elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.SujidadeEsquerda.TMP = false;
	end;
	
end;

