--
-- PivotarVolante
--
-- @Hugo94Fr
-- @23/09/2015

PivotarVolante = {};

PivotarVolante.modDir = g_currentModDirectory;

function PivotarVolante.prerequisitesPresent(specializations)
    return true; 
end;

function PivotarVolante:load(xmlFile)

	self.AnimacaoVolante = SpecializationUtil.callSpecializationsFunction("AnimacaoVolante"); 
	
	self.Volante = {};
	
	local trigger = Utils.indexToObject( self.components, getXMLString(xmlFile, string.format("vehicle.PivotarVolante#trigger")) );
	if trigger == nil then
		print("[Error::PivotarVolante] Falta dizer onde se encontra o Trigger no XML."..tostring(i+1).." no seu vehicle.xml");
	end;
	
	local PV = getXMLInt(xmlFile, string.format("vehicle.PivotarVolante#PV", i));
	
	self.Volante.PV = PV;
	self.Volante.trigger = trigger;
	self.Volante.TMP = false;
		
	addTrigger( trigger, "AnimacaoVolante", self );				
	
end;

function PivotarVolante:delete()
	if self.Volante.trigger ~= nil then
		removeTrigger(self.Volante.trigger);
	end;
end;

function PivotarVolante:readStream(streamId, connection)
end;

function PivotarVolante:writeStream(streamId, connection)
end;

function PivotarVolante:mouseEvent(posX, posY, isDown, isUp, button)
end;

function PivotarVolante:keyEvent(unicode, sym, modifier, isDown)
end;

function PivotarVolante:update(dt)
	
	if self.Volante.TMP then
		g_currentMission:addHelpButtonText( g_i18n:getText("PivotarVolante"), InputBinding.PivotarVolante );	
		setTextColor(1.0, 1.0, 1.0, 1.0);
		setTextAlignment(RenderText.ALIGN_RIGHT); 				
		renderText( 1.0, 0.55, 0.035, g_i18n:getText("PivotarVolante") );
		if InputBinding.hasEvent(InputBinding.PivotarVolante)then
			local obj = self.interactiveObjects[self.Volante.PV];
			if obj ~= nil then
				self:doActionOnObject(self.Volante.PV);
			end;
		end
	end;
end;

function PivotarVolante:onLeave()
end;

function PivotarVolante:draw()
end;

function PivotarVolante:AnimacaoVolante(triggerId, otherId, onEnter, onLeave, onStay)
	
	if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.Volante.TMP = true;
	elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.Volante.TMP = false;
	end;
	
end;

